RESET(1)

NAME
reset - reset the teletype bits to a sensible state

SYNOPSIS
reset

DESCRIPTION
Reset sets the terminal to cooked mode, turns off cbreak and raw modes, turns on nl, and restores special characters that are undefined to their default values.

This is most useful after a program dies leaving a terminal in a funny state; you have to type ``<LF>reset<LF>'' to get it to work then to the shell, as <CR> often doesn't work; often none of this will echo.

It is a good idea to follow reset with tset(1)

SEE ALSO
stty(1), tset(1)

BUGS
Doesn't set tabs properly; it can't intuit personal choices for interrupt and line kill characters, so it leaves these set to the local system standards.